# surface.h File Reference

Surface and Pen Definitions. More...

`#include "color.h"`
`#include "renddesc.h"`
`#include <ETL/pen>`
`#include <ETL/surface>`
`#include <ETL/handle>`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

class | synfig::ColorPrep
class | synfig::Surface
| Bitmap Surface. More...
class | synfig::Surface::alpha_pen
| Alpha-Blending Pen. More...

## Functions

Target_Scanline::Handle | synfig::surface_target (Surface *surface)
| Creates a target that will render to surface.

## Detailed Description

Surface and Pen Definitions.

$Id$